Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class Db

    java.lang.Object
      jet.connect.Db

    public class Db

extends java.lang.Object

A class that encapsulates all JDBC types and Column Attributes.

The class defines the constants that are called JDBC types and used to identify generic SQL types and the constants that are used to identify column attributes.

This class is never instantiated.

See Also:
  `DbColDesc`

Field Summary
`static int` | `SQL_ARRAY` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `ARRAY`.
`static int` | `SQL_BIGINT` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `BIGINT`.
`static int` | `SQL_BINARY` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `BINARY`.
`static int` | `SQL_BIT` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `BIT`.
`static int` | `SQL_BLOB` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `BLOB`.
`static int` | `SQL_CHAR` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `CHAR`.
`static int` | `SQL_CLOB` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `CLOB`.
`static int` | `SQL_DATE` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `DATE`.
`static int` | `SQL_DECIMAL` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `DECIMAL`.
`static int` | `SQL_DOUBLE` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `DOUBLE`.
`static int` | `SQL_FLOAT` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `FLOAT`.
`static int` | `SQL_INTEGER` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `INTEGER`.
`static int` | `SQL_LONGVARBINARY` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `LONGVARBINARY`.
`static int` | `SQL_LONGVARCHAR` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `LONGVARCHAR`.
`static int` | `SQL_NO_NULLS` The constant indicates that a column does not allow `NULL` values.
`static int` | `SQL_NULL` The constant in the Java programming language identifies the generic SQL value `NULL`.
`static int` | `SQL_NULLABLE` The constant indicates that a column allows `NULL` values.
`static int` | `SQL_NULLABLE_UNKNOWN` The constant indicates that the nullability of a column's values is unknown.
`static int` | `SQL_NUMERIC` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `NUMERIC`.
`static int` | `SQL_OTHER` The constant in the Java programming language indicates the SQL type is database-specific and it gets mapped to a Java object that can be accessed via the methods `getObject` and `setObject`.
`static int` | `SQL_REAL` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `REAL`.
`static int` | `SQL_SMALLINT` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `SMALLINT`.
`static int` | `SQL_TIME` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `TIME`.
`static int` | `SQL_TIMESTAMP` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `TIMESTAMP`.
`static int` | `SQL_TINYINT` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `TINYINT`.
`static int` | `SQL_TYPE_NULL` The constant in the Java programming language identifies there is no SQL type defined correspondingly.
`static int` | `SQL_VARBINARY` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `VARBINARY`.
`static int` | `SQL_VARCHAR` The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `VARCHAR`.

Constructor Summary
`Db()`

Method Summary
`static java.lang.String` | `toColAttrString(int columnAttribute)` Returns the string representation of this `Db`'s column attribute using the capital form.
`static java.lang.String` | `toTypeString(int sqlType)` Returns the string representation of this `Db` using the capital form.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_CHAR

    public static final int SQL_CHAR

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `CHAR`.

  See Also:
    Constant Field Values

### SQL_NUMERIC

    public static final int SQL_NUMERIC

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `NUMERIC`.

  See Also:
    Constant Field Values

### SQL_DECIMAL

    public static final int SQL_DECIMAL

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `DECIMAL`.

  See Also:
    Constant Field Values

### SQL_INTEGER

    public static final int SQL_INTEGER

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `INTEGER`.

  See Also:
    Constant Field Values

### SQL_SMALLINT

    public static final int SQL_SMALLINT

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `SMALLINT`.

  See Also:
    Constant Field Values

### SQL_FLOAT

    public static final int SQL_FLOAT

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `FLOAT`.

  See Also:
    Constant Field Values

### SQL_REAL

    public static final int SQL_REAL

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `REAL`.

  See Also:
    Constant Field Values

### SQL_DOUBLE

    public static final int SQL_DOUBLE

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `DOUBLE`.

  See Also:
    Constant Field Values

### SQL_DATE

    public static final int SQL_DATE

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `DATE`.

  See Also:
    Constant Field Values

### SQL_TIME

    public static final int SQL_TIME

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `TIME`.

  See Also:
    Constant Field Values

### SQL_TIMESTAMP

    public static final int SQL_TIMESTAMP

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `TIMESTAMP`.

  See Also:
    Constant Field Values

### SQL_VARCHAR

    public static final int SQL_VARCHAR

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `VARCHAR`.

  See Also:
    Constant Field Values

### SQL_LONGVARCHAR

    public static final int SQL_LONGVARCHAR

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `LONGVARCHAR`.

  See Also:
    Constant Field Values

### SQL_BINARY

    public static final int SQL_BINARY

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `BINARY`.

  See Also:
    Constant Field Values

### SQL_VARBINARY

    public static final int SQL_VARBINARY

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `VARBINARY`.

  See Also:
    Constant Field Values

### SQL_LONGVARBINARY

    public static final int SQL_LONGVARBINARY

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `LONGVARBINARY`.

  See Also:
    Constant Field Values

### SQL_BIGINT

    public static final int SQL_BIGINT

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `BIGINT`.

  See Also:
    Constant Field Values

### SQL_TINYINT

    public static final int SQL_TINYINT

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `TINYINT`.

  See Also:
    Constant Field Values

### SQL_BIT

    public static final int SQL_BIT

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `BIT`.

  See Also:
    Constant Field Values

### SQL_NULL

    public static final int SQL_NULL

  The constant in the Java programming language identifies the generic SQL value `NULL`.

  See Also:
    Constant Field Values

### SQL_OTHER

    public static final int SQL_OTHER

  The constant in the Java programming language indicates the SQL type is database-specific and it gets mapped to a Java object that can be accessed via the methods `getObject` and `setObject`.

  See Also:
    Constant Field Values

### SQL_CLOB

    public static final int SQL_CLOB

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `CLOB`.

  See Also:
    Constant Field Values

### SQL_BLOB

    public static final int SQL_BLOB

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `BLOB`.

  See Also:
    Constant Field Values

### SQL_ARRAY

    public static final int SQL_ARRAY

  The constant in the Java programming language, which sometimes is referred to as a type code, identifies the generic SQL type `ARRAY`.

  See Also:
    Constant Field Values

### SQL_TYPE_NULL

    public static final int SQL_TYPE_NULL

  The constant in the Java programming language identifies there is no SQL type defined correspondingly.

  It's used only in JREngine.

  See Also:
    Constant Field Values

### SQL_NO_NULLS

    public static final int SQL_NO_NULLS

  The constant indicates that a column does not allow `NULL` values.

  See Also:
    Constant Field Values

### SQL_NULLABLE

    public static final int SQL_NULLABLE

  The constant indicates that a column allows `NULL` values.

  See Also:
    Constant Field Values

### SQL_NULLABLE_UNKNOWN

    public static final int SQL_NULLABLE_UNKNOWN

  The constant indicates that the nullability of a column's values is unknown.

  See Also:
    Constant Field Values

Constructor Detail

### Db

    public Db()

Method Detail

### toTypeString

    public static java.lang.String toTypeString(int sqlType)

  Returns the string representation of this `Db` using the capital form.

  Parameters:
    `sqlType` - Integer value which should be translated.
  Returns:
    A standard canonical string form of the `Db` is returned. If it's an Unknown SQL type, the string "Type unknown!" will be returned.
  See Also:
    `Types`

### toColAttrString

    public static java.lang.String toColAttrString(int columnAttribute)

  Returns the string representation of this `Db`'s column attribute using the capital form.

  Parameters:
    `columnAttribute` - Integer value which indicates the column attribute.
  Returns:
    A standard canonical string form of the `Db` is returned. If it's an Unknown attribute, the empty string will be returned.
  See Also:
    `ResultSetMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD